/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.upperComputer.entity;



import java.io.Serializable;
import java.util.Date;


/**
 * 执行引擎信息表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-09-29 10:24:37  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public class CdEngineInfo implements Serializable
{
  public static final String KEY_id = "id";
  public static final String KEY_engineName = "engineName";
  public static final String KEY_deviceId = "deviceId";
  public static final String KEY_ipAddr = "ipAddr";
  public static final String KEY_runningRelease = "runningRelease";
  public static final String KEY_registedTime = "registedTime";
  public static final String KEY_enabled = "enabled";
  public static final String KEY_engineStatus = "engineStatus";
  public static final String KEY_engineDesc = "engineDesc";
  public static final String KEY_lastHeartbeatTime = "lastHeartbeatTime";

  /**
   * 主键id<br>
   */
  private String id;
  /**
   * 引擎名称<br>
   */
  private String engineName;
  /**
   * pc设备id<br>
   */
  private String deviceId;
  /**
   * ip地址<br>
   */
  private String ipAddr;
  /**
   * 引擎版本<br>
   */
  private String runningRelease;
  /**
   * 注册时间<br>
   */
  private Date registedTime;
  /**
   * 启用/禁用<br>
   */
  private Boolean enabled;
  /**
   * 引擎状态<br>
   */
  private String engineStatus;
  /**
   * 引擎描述<br>
   */
  private String engineDesc;

  private Date lastHeartbeatTime;

  private String ipPort;

  public String getIpPort() {
    return ipPort;
  }

  public void setIpPort(String ipPort) {
    this.ipPort = ipPort;
  }

  /**
   * 主键id<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键id<br>
   *
   * @param id 主键id
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 引擎名称<br>
   */
  public String getEngineName()
  {
      return engineName;
    }

  /**
   * 引擎名称<br>
   *
   * @param engineName 引擎名称
   */
  public void setEngineName(String engineName)
  {
      this.engineName = engineName;
    }
  /**
   * pc设备id<br>
   */
  public String getDeviceId()
  {
      return deviceId;
    }

  /**
   * pc设备id<br>
   *
   * @param deviceId pc设备id
   */
  public void setDeviceId(String deviceId)
  {
      this.deviceId = deviceId;
    }
  /**
   * ip地址<br>
   */
  public String getIpAddr()
  {
      return ipAddr;
    }

  /**
   * ip地址<br>
   *
   * @param ipAddr ip地址
   */
  public void setIpAddr(String ipAddr)
  {
      this.ipAddr = ipAddr;
    }
  /**
   * 引擎版本<br>
   */
  public String getRunningRelease()
  {
      return runningRelease;
    }

  /**
   * 引擎版本<br>
   *
   * @param runningRelease 引擎版本
   */
  public void setRunningRelease(String runningRelease)
  {
      this.runningRelease = runningRelease;
    }
  /**
   * 注册时间<br>
   */
  public Date getRegistedTime()
  {
      if(registedTime != null)
    {
      return (Date)registedTime.clone();
    }
    return null;
    }

  /**
   * 注册时间<br>
   *
   * @param registedTime 注册时间
   */
  public void setRegistedTime(Date registedTime)
  {
      if(registedTime != null)
    {
      this.registedTime = (Date)registedTime.clone();
    }
    }
  /**
   * 启用/禁用<br>
   */
  public Boolean getEnabled()
  {
      return enabled;
    }

  /**
   * 启用/禁用<br>
   *
   * @param enabled 启用/禁用
   */
  public void setEnabled(Boolean enabled)
  {
      this.enabled = enabled;
    }
  /**
   * 引擎状态<br>
   */
  public String getEngineStatus()
  {
      return engineStatus;
    }

  /**
   * 引擎状态<br>
   *
   * @param engineStatus 引擎状态
   */
  public void setEngineStatus(String engineStatus)
  {
      this.engineStatus = engineStatus;
    }
  /**
   * 引擎描述<br>
   */
  public String getEngineDesc()
  {
      return engineDesc;
    }

  /**
   * 引擎描述<br>
   *
   * @param engineDesc 引擎描述
   */
  public void setEngineDesc(String engineDesc)
  {
      this.engineDesc = engineDesc;
    }

  public Date getLastHeartbeatTime() {
    return lastHeartbeatTime;
  }

  public void setLastHeartbeatTime(Date lastHeartbeatTime) {
    this.lastHeartbeatTime = lastHeartbeatTime;
  }

  public CdEngineInfo()
  {
  }

}
